package com.company;

import java.math.BigInteger;

public class Main {

  public static void main(String[] args) {
    java.util.Scanner sc = new java.util.Scanner(System.in);
    String A = new String(sc.next());
    String B = new String(sc.next());
    String C = new String(sc.next());
    BigInteger b1 = new BigInteger(val:A + B + C );
    BigInteger b2 = new BigInteger(val:A + C + B );
    BigInteger b3 = new BigInteger(val:B + A + C );
    BigInteger b4 = new BigInteger(val:B + C + A );
    BigInteger b5 = new BigInteger(val:C + A + B );
    BigInteger b6 = new BigInteger(val:C + B + A );
    BigInteger max = new BigInteger("0");
    if (b1.compareTo(max) == 1) {
      max = b1;
    }
    if (b2.compareTo(max) == 1) {
      max = b2;
    }
    if (b3.compareTo(max) == 1) {
      max = b3;
    }
    if (b4.compareTo(max) == 1) {
      max = b4;
    }
    if (b5.compareTo(max) == 1) {
      max = b5;
    }
    if (b6.compareTo(max) == 1) {
      max = b6;
    }
    System.out.println(max);
  }
}